Bug 60506 - up2date traceback with today's php errata
Summary: up2date traceback with today's php errata
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-28 19:07 UTC by James Manning
Modified: 2015-01-07 23:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-28 19:47:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:044 normal SHIPPED_LIVE Updated up2date and rhn_register clients available 2002-03-06 05:00:00 UTC
Red Hat Product Errata RHBA-2002:050 normal SHIPPED_LIVE Updated up2date and rhn_register clients available 2002-03-22 05:00:00 UTC

Description James Manning 2002-02-28 19:07:55 UTC
jmm@bp6:/home/jmm> sudo up2date -u
Password:

Retrieving list of all available packages...
########################################

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Getting headers for skipped packages...
########################################
The following Packages were marked to be skipped by your configuration:

Name                                    Version        Rel  Reason
-------------------------------------------------------------------------------
XFree86-100dpi-fonts                    4.1.0          15   Config modified
XFree86-75dpi-fonts                     4.1.0          15   Config modified


Testing package set / solving RPM inter-dependencies...
########################################
Retrieving selected packages...
php-4.0.6-12.i386.rpm:      ########################## Done.
Preparing...                ########################################### [100%]
   1:php                    ########################################### [100%]
Traceback (innermost last):
  File "/usr/sbin/up2date", line 1014, in ?
    main()
  File "/usr/sbin/up2date", line 341, in main
    sys.exit(batchRun(argObj.getLong("list"), pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 986, in batchRun
    kernelsToInstall = up2date.installPackages(selPkgList, rpmCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 2023, in installPackages
    remoteDelPackages(removedPackages)
  File "/usr/share/rhn/up2date_client/up2date.py", line 1063, in 
remoteDelPackages
    doCall(s.registration.delete_packages,getSystemId(), pkg)
  File "/usr/share/rhn/up2date_client/up2date.py", line 313, in doCall
    raise CommunicationError(e.errmsg)
up2date_client.up2date.CommunicationError: Error communicating with server.  
The message was:
Proxy Error

******

I have no proxies defined

jmm@bp6:/home/jmm> sudo grep -i prox /etc/sysconfig/rhn/up2date
httpProxy[comment]=HTTP proxy in host:port format, e.g. squid.redhat.com:3128
httpProxy=
enableProxy[comment]=Use a HTTP Proxy
enableProxy=0
proxyPassword[comment]=The password to use for an authenticated proxy
proxyPassword=
proxyUser[comment]=The username for an authenticated proxy
proxyUser=
enableProxyAuth[comment]=To use an authenticated proxy or not
enableProxyAuth=0


*****

As you can see in the above, it already fetched and installed the new package - 
what's the deal with this error anyway?

Comment 1 James Manning 2002-02-28 19:16:21 UTC
this...

[02:11] <adrian> that will go away when we turn the servers back on

...notwithstanding, I still think either

1) error message should be much better
or
2) retries would be nice, ncftp style with sleeps perhaps?

Comment 2 Adrian Likins 2002-02-28 19:21:20 UTC
yeah yeah, a nicer error would be better. In the next version.

All network calls get 5 retries at 1 or 5 second intervals (newer versions
are 5).

Comment 3 Adrian Likins 2002-02-28 19:29:26 UTC
wow, what a weird code path to get a network error in. Thats like
the last call you make after a dozen or more network calls on average.
Bad timing for a server error ;->

I'll catch exceptions for these cases too, I missed them in most
recent "catch all exceptions" extravaganza.

Comment 4 Adrian Likins 2002-02-28 19:47:03 UTC
fixed in cvs, should be in next errata

Comment 5 James Manning 2002-03-19 20:50:06 UTC
reflecting today's errata push



Note You need to log in before you can comment on or make changes to this bug.